ApplicationException (Java Platform SE 8 )
Keywords: org.omg.CORBA.portable.ApplicationException class
Date: 2018-07-01

org.omg.CORBA.portable

## Class ApplicationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.portable.ApplicationException

- All Implemented Interfaces:
    Serializable

      public class ApplicationException
      extends Exception

  This class is used for reporting application level exceptions between ORBs and stubs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationException(String id, InputStream ins)` Constructs an ApplicationException from the CORBA repository ID of the exception and an input stream from which the exception data can be read as its parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Returns the CORBA repository ID of the exception without removing it from the exceptions input stream.
    `InputStream` | `getInputStream()` Returns the input stream from which the exception data can be read as its parameters.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationException

          public ApplicationException(String id,
                                      InputStream ins)

      Constructs an ApplicationException from the CORBA repository ID of the exception and an input stream from which the exception data can be read as its parameters.
      Parameters:
        `id` - the repository id of the user exception
        `ins` - the stream which contains the user exception data

  - ### Method Detail

    - #### getId

          public String getId()

      Returns the CORBA repository ID of the exception without removing it from the exceptions input stream.
      Returns:
        The CORBA repository ID of this exception

    - #### getInputStream

          public InputStream getInputStream()

      Returns the input stream from which the exception data can be read as its parameters.
      Returns:
        The stream which contains the user exception data

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.